# 服务平台
版本 |  创建时间   | 作者 |  备注信息
---|---|---|---
v1.0|2022-01-20|zxfei| 接口文档

## 数据类型
类型名称|类型描述|参考样例
---|---|---
String |字符串|A、a、ab
Integer|数字类型|1、12、-1
Long|长整型数字|1、12、-1
date|时间类型,单位纳秒数字|167988745573
BigDecimal|小数类型|545.256
object|对象类型|{"name":"zhang3"}
arrays|数组类型|[{"name":"zhang3"},{"name":"zhang2"}]


## 系统服务
### 登录

**请求URL:** login/login

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 用户登录

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
loginName|String|用户名称|是|-
password|String|用户密码|是|-
securityCode|String|校验码|是|-

**请求样例:**
```

{
"loginName":"zhang3",
"password":"123456",
"securityCode":"5455"
}

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-


**响应消息样例:**
```

{
"msg":"登录成功",
"code":1,
"data":{

}
}

```

### 登出

**请求URL:** login/logout

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 用户退出注销

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---

**请求样例:**
```

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-


**响应消息样例:**
```


```

### 修改密码

**请求URL:** user/change/password

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 用户修改密码

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
loginName|String|用户名称|是|-
oldPwd|String|用户加密后密码|是|-
newPwd|String|用户加密后新密码|是|-

**请求样例:**
```

{
"loginName":"zhang3",
"oldPwd":"123456",
"newPwd":"5455"
}

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-


**响应消息样例:**
```

{
"msg":"修改密码成功",
"code":1,
"data":{}
}

```



### 获取验证码

**请求URL:** securitycode/createCode

**请求方式:** GET

**内容类型:** image/gif

**简要描述:** 用户退出注销

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---

**请求样例:**
```

```
**响应参数:**



**响应消息样例:**
```

```


### 上传附件

**请求URL:** file/commonupload

**请求方式:** POST


**内容类型:** multipart/form-data

**简要描述:** 用户上传附件

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
file|multipart|附件|是|-
prePath|String|附件存放相对路径|否|不填时候默认为/file/fileupload

**请求样例:**
```
http://127.0.0.1/file/commonupload?prePath=/file/fileupload
Content-Type: multipart/form-data; boundary=WebAppBoundary

--WebAppBoundary
Content-Disposition: form-data; name="file"; filename="1.excel"
Content-Type: multipart/form-data
```
**响应参数:**



**响应消息样例:**
```

```


## 纠错管理

### 查询纠错管理列表

**请求URL:** error/recovery/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询纠错管理

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录
errorTitle|String|否|纠错标题,字段前后添加%%模糊查询
matterSite|String|否|事件位置,字段前后添加%%模糊查询
substance|String|否|具体内容,字段前后添加%%模糊查询
formalReply|String|否|建议答复,字段前后添加%%模糊查询
status|Integer|否|处理状态，0：未处理，1：已处理

**请求样例:**
```
  {
        "errorTitle":"cii47p",
        "matterSite":"rtjip2",
        "substance":"i3gkc1",
        "formalReply":"u1daw8",
        "status":2551,
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;siteId|Long|站点id
&emsp;&emsp;errorTitle|String|纠错标题
&emsp;&emsp;matterSite|String|事件位置
&emsp;&emsp;substance|String|具体内容
&emsp;&emsp;annexUrl|String|附件地址
&emsp;&emsp;formalReply|String|建议答复
&emsp;&emsp;submitUserId|Long|纠错用户id
&emsp;&emsp;submitUserName|String|纠错用户名称
&emsp;&emsp;submitDate|Date|提交时间
&emsp;&emsp;status|Integer|处理状态，0：未处理，1：已处理
&emsp;&emsp;answerUserId|Long|处理用户id
&emsp;&emsp;answerUserName|String|处理用户名称
&emsp;&emsp;answerDate|Date|处理时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看纠错管理

**请求URL:** error/recovery/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看纠错管理，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/error/recovery/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;siteId|Long|站点id
&emsp;errorTitle|String|纠错标题
&emsp;matterSite|String|事件位置
&emsp;substance|String|具体内容
&emsp;annexUrl|String|附件地址
&emsp;formalReply|String|建议答复
&emsp;submitUserId|Long|纠错用户id
&emsp;submitUserName|String|纠错用户名称
&emsp;submitDate|Date|提交时间
&emsp;status|Integer|处理状态，0：未处理，1：已处理
&emsp;answerUserId|Long|处理用户id
&emsp;answerUserName|String|处理用户名称
&emsp;answerDate|Date|处理时间
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":9318,
            "siteId":4343,
            "errorTitle":"pylmf6",
            "matterSite":"acw4al",
            "substance":"uiu7ih",
            "annexUrl":"rg3gjq",
            "formalReply":"7p7ayo",
            "submitUserId":7570,
            "submitUserName":"dhfw7k",
            "submitDate":"2023-03-01",
            "status":2746,
            "answerUserId":6143,
            "answerUserName":"cqq1yi",
            "answerDate":"2023-03-01",
            "createUserId":3636,
            "createTime":"2023-03-01",
            "updateUserId":3711,
            "updateTime":"2023-03-01"
        }
}
```

### 保存更新纠错管理

**请求URL:** error/recovery/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新纠错管理：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
siteId|Long|否|站点id
errorTitle|String|是|纠错标题
matterSite|String|否|事件位置
substance|String|否|具体内容
annexUrl|String|否|附件地址
formalReply|String|否|建议答复
submitUserId|Long|否|纠错用户id
submitUserName|String|否|纠错用户名称
submitDate|Date|是|提交时间
status|Integer|否|处理状态，0：未处理，1：已处理
answerUserId|Long|否|处理用户id
answerUserName|String|否|处理用户名称
answerDate|Date|否|处理时间

**请求样例:**
```
{
    "siteId":8374,
    "errorTitle":"1su3ib",
    "matterSite":"dmw0z7",
    "substance":"raxxk4",
    "annexUrl":"nkcq39",
    "formalReply":"ejs96r",
    "submitUserId":4570,
    "submitUserName":"9cv9lf",
    "submitDate":"2023-03-01",
    "status":1004,
    "answerUserId":4754,
    "answerUserName":"b87e4m",
    "answerDate":"2023-03-01",
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;siteId|Long|站点id
&emsp;&emsp;errorTitle|String|纠错标题
&emsp;&emsp;matterSite|String|事件位置
&emsp;&emsp;substance|String|具体内容
&emsp;&emsp;annexUrl|String|附件地址
&emsp;&emsp;formalReply|String|建议答复
&emsp;&emsp;submitUserId|Long|纠错用户id
&emsp;&emsp;submitUserName|String|纠错用户名称
&emsp;&emsp;submitDate|Date|提交时间
&emsp;&emsp;status|Integer|处理状态，0：未处理，1：已处理
&emsp;&emsp;answerUserId|Long|处理用户id
&emsp;&emsp;answerUserName|String|处理用户名称
&emsp;&emsp;answerDate|Date|处理时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除纠错管理

**请求URL:** error/recovery/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除纠错管理

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/error/recovery/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 纠错管理

### 查询纠错管理列表

**请求URL:** error/recovery/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询纠错管理

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录
errorTitle|String|否|纠错标题,字段前后添加%%模糊查询
matterSite|String|否|事件位置,字段前后添加%%模糊查询
substance|String|否|具体内容,字段前后添加%%模糊查询
formalReply|String|否|建议答复,字段前后添加%%模糊查询
status|Integer|否|处理状态，0：未处理，1：已处理

**请求样例:**
```
  {
        "errorTitle":"rasjo1",
        "matterSite":"bsj6fq",
        "substance":"6shs6s",
        "formalReply":"9gc8mt",
        "status":3895,
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;siteId|Long|站点id
&emsp;&emsp;errorTitle|String|纠错标题
&emsp;&emsp;matterSite|String|事件位置
&emsp;&emsp;matterName|String|关联事项名称
&emsp;&emsp;substance|String|具体内容
&emsp;&emsp;annexUrl|String|附件地址
&emsp;&emsp;formalReply|String|建议答复
&emsp;&emsp;submitUserId|Long|纠错用户id
&emsp;&emsp;submitUserName|String|纠错用户名称
&emsp;&emsp;submitDate|Date|提交时间
&emsp;&emsp;status|Integer|处理状态，0：未处理，1：已处理
&emsp;&emsp;answerUserId|Long|处理用户id
&emsp;&emsp;answerUserName|String|处理用户名称
&emsp;&emsp;answerDate|Date|处理时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看纠错管理

**请求URL:** error/recovery/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看纠错管理，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/error/recovery/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;siteId|Long|站点id
&emsp;errorTitle|String|纠错标题
&emsp;matterSite|String|事件位置
&emsp;matterName|String|关联事项名称
&emsp;substance|String|具体内容
&emsp;annexUrl|String|附件地址
&emsp;formalReply|String|建议答复
&emsp;submitUserId|Long|纠错用户id
&emsp;submitUserName|String|纠错用户名称
&emsp;submitDate|Date|提交时间
&emsp;status|Integer|处理状态，0：未处理，1：已处理
&emsp;answerUserId|Long|处理用户id
&emsp;answerUserName|String|处理用户名称
&emsp;answerDate|Date|处理时间
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":7378,
            "siteId":2350,
            "errorTitle":"2ft8to",
            "matterSite":"oeabom",
            "matterName":"9f24wl",
            "substance":"2wvgzk",
            "annexUrl":"fdnwm2",
            "formalReply":"uywm36",
            "submitUserId":672,
            "submitUserName":"3g2sru",
            "submitDate":"2023-03-13",
            "status":9918,
            "answerUserId":9707,
            "answerUserName":"3tpe9b",
            "answerDate":"2023-03-13",
            "createUserId":1351,
            "createTime":"2023-03-13",
            "updateUserId":7985,
            "updateTime":"2023-03-13"
        }
}
```

### 保存更新纠错管理

**请求URL:** error/recovery/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新纠错管理：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
siteId|Long|否|站点id
errorTitle|String|是|纠错标题
matterSite|String|否|事件位置
matterName|String|否|关联事项名称
substance|String|否|具体内容
annexUrl|String|否|附件地址
formalReply|String|否|建议答复
submitUserId|Long|否|纠错用户id
submitUserName|String|否|纠错用户名称
submitDate|Date|是|提交时间
status|Integer|否|处理状态，0：未处理，1：已处理
answerUserId|Long|否|处理用户id
answerUserName|String|否|处理用户名称
answerDate|Date|否|处理时间

**请求样例:**
```
{
    "siteId":2850,
    "errorTitle":"x804nb",
    "matterSite":"47ypzx",
    "matterName":"6k7eew",
    "substance":"ujrml2",
    "annexUrl":"978w1i",
    "formalReply":"gb1syu",
    "submitUserId":78,
    "submitUserName":"haktu7",
    "submitDate":"2023-03-13",
    "status":9235,
    "answerUserId":9461,
    "answerUserName":"4eueur",
    "answerDate":"2023-03-13",
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;siteId|Long|站点id
&emsp;&emsp;errorTitle|String|纠错标题
&emsp;&emsp;matterSite|String|事件位置
&emsp;&emsp;matterName|String|关联事项名称
&emsp;&emsp;substance|String|具体内容
&emsp;&emsp;annexUrl|String|附件地址
&emsp;&emsp;formalReply|String|建议答复
&emsp;&emsp;submitUserId|Long|纠错用户id
&emsp;&emsp;submitUserName|String|纠错用户名称
&emsp;&emsp;submitDate|Date|提交时间
&emsp;&emsp;status|Integer|处理状态，0：未处理，1：已处理
&emsp;&emsp;answerUserId|Long|处理用户id
&emsp;&emsp;answerUserName|String|处理用户名称
&emsp;&emsp;answerDate|Date|处理时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除纠错管理

**请求URL:** error/recovery/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除纠错管理

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/error/recovery/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```

## 用户收藏夹

### 查询用户收藏夹列表

**请求URL:** user/collect/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询用户收藏夹

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录
collectType|Integer|否|收藏类型1单事项2一件事
collectUrl|String|否|收藏链接,字段前后添加%%模糊查询

**请求样例:**
```
  {
        "collectType":2829,
        "collectUrl":"7ff7di",
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;userId|Long|用户id
&emsp;&emsp;collectType|Integer|收藏类型1单事项2一件事
&emsp;&emsp;collectName|String|收藏名称
&emsp;&emsp;collectUrl|String|收藏链接
&emsp;&emsp;businessId|String|收藏关联业务id
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看用户收藏夹

**请求URL:** user/collect/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看用户收藏夹，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/user/collect/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;userId|Long|用户id
&emsp;collectType|Integer|收藏类型1单事项2一件事
&emsp;collectName|String|收藏名称
&emsp;collectUrl|String|收藏链接
&emsp;businessId|String|收藏关联业务id
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":6811,
            "userId":577,
            "collectType":9984,
            "collectName":"6dcohq",
            "collectUrl":"dt32z2",
            "businessId":"q097a1",
            "createUserId":2185,
            "createTime":"2023-03-13",
            "updateUserId":8965,
            "updateTime":"2023-03-13"
        }
}
```

### 保存更新用户收藏夹

**请求URL:** user/collect/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新用户收藏夹：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
userId|Long|否|用户id
collectType|Integer|否|收藏类型1单事项2一件事
collectName|String|否|收藏名称
collectUrl|String|否|收藏链接
businessId|String|否|收藏关联业务id

**请求样例:**
```
{
    "userId":8437,
    "collectType":2174,
    "collectName":"88t7rs",
    "collectUrl":"j4xe33",
    "businessId":"961ezb",
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;userId|Long|用户id
&emsp;&emsp;collectType|Integer|收藏类型1单事项2一件事
&emsp;&emsp;collectName|String|收藏名称
&emsp;&emsp;collectUrl|String|收藏链接
&emsp;&emsp;businessId|String|收藏关联业务id
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除用户收藏夹

**请求URL:** user/collect/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除用户收藏夹

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/user/collect/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```

## 股室管理

### 查询股室管理列表

**请求URL:** dept/office/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询股室管理

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录
officeName|String|否|股室名称,字段前后添加%%模糊查询

**请求样例:**
```
  {
        "officeName":"oepqqy",
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;siteId|Long|站点id
&emsp;&emsp;deptId|Long|所属部门
&emsp;&emsp;deptName|String|所属部门名称
&emsp;&emsp;officeName|String|股室名称
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看股室管理

**请求URL:** dept/office/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看股室管理，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/dept/office/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;siteId|Long|站点id
&emsp;deptId|Long|所属部门
&emsp;deptName|String|所属部门名称
&emsp;officeName|String|股室名称
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":1561,
            "siteId":7700,
            "deptId":5718,
            "deptName":"zbpf8o",
            "officeName":"fj8zds",
            "createUserId":629,
            "createTime":"2023-03-01",
            "updateUserId":9534,
            "updateTime":"2023-03-01"
        }
}
```

### 保存更新股室管理

**请求URL:** dept/office/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新股室管理：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
siteId|Long|否|站点id
deptId|Long|否|所属部门
deptName|String|否|所属部门名称
officeName|String|否|股室名称

**请求样例:**
```
{
    "siteId":9846,
    "deptId":2630,
    "deptName":"jkgkoi",
    "officeName":"48ejm7",
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;siteId|Long|站点id
&emsp;&emsp;deptId|Long|所属部门
&emsp;&emsp;deptName|String|所属部门名称
&emsp;&emsp;officeName|String|股室名称
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除股室管理

**请求URL:** dept/office/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除股室管理

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/dept/office/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```

## 辅助接件事项

### 查询辅助接件事项列表

**请求URL:** site/matter/assist/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询辅助接件事项

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录
officeName|String|否|股室名称,字段前后添加%%模糊查询
dutyer|String|否|负责人姓名,字段前后添加%%模糊查询
telephone|String|否|联系电话,字段前后添加%%模糊查询
govUrl|String|否|政务网地址,字段前后添加%%模糊查询

**请求样例:**
```
  {
        "officeName":"4qbvm7",
        "dutyer":"dyxxti",
        "telephone":"007d25",
        "govUrl":"xmtzoj",
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;siteMatterId|Long|站点事项id
&emsp;&emsp;matterId|Long|事项ID
&emsp;&emsp;matterName|String|事项名称
&emsp;&emsp;matterCode|String|事项编码
&emsp;&emsp;deptId|Long|部门ID
&emsp;&emsp;deptName|String|部门名称
&emsp;&emsp;deptCode|String|部门编码
&emsp;&emsp;officeId|Long|股室ID
&emsp;&emsp;officeName|String|股室名称
&emsp;&emsp;dutyer|String|负责人姓名
&emsp;&emsp;telephone|String|联系电话
&emsp;&emsp;govUrl|String|政务网地址
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看辅助接件事项

**请求URL:** site/matter/assist/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看辅助接件事项，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/site/matter/assist/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;siteMatterId|Long|站点事项id
&emsp;matterId|Long|事项ID
&emsp;matterName|String|事项名称
&emsp;matterCode|String|事项编码
&emsp;deptId|Long|部门ID
&emsp;deptName|String|部门名称
&emsp;deptCode|String|部门编码
&emsp;officeId|Long|股室ID
&emsp;officeName|String|股室名称
&emsp;dutyer|String|负责人姓名
&emsp;telephone|String|联系电话
&emsp;govUrl|String|政务网地址
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":7131,
            "siteMatterId":3359,
            "matterId":9568,
            "matterName":"k3sbg7",
            "matterCode":"s9zus9",
            "deptId":5548,
            "deptName":"exnztm",
            "deptCode":"3s3iaa",
            "officeId":1513,
            "officeName":"kbk5tt",
            "dutyer":"zmgzpa",
            "telephone":"5dnypb",
            "govUrl":"q2nxeq",
            "createUserId":5930,
            "createTime":"2023-03-17",
            "updateUserId":7894,
            "updateTime":"2023-03-17"
        }
}
```

### 保存更新辅助接件事项

**请求URL:** site/matter/assist/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新辅助接件事项：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
siteMatterId|Long|否|站点事项id
matterId|Long|否|事项ID
matterName|String|否|事项名称
matterCode|String|否|事项编码
deptId|Long|否|部门ID
deptName|String|否|部门名称
deptCode|String|否|部门编码
officeId|Long|否|股室ID
officeName|String|否|股室名称
dutyer|String|否|负责人姓名
telephone|String|否|联系电话
govUrl|String|否|政务网地址

**请求样例:**
```
{
    "siteMatterId":5126,
    "matterId":9000,
    "matterName":"030xfo",
    "matterCode":"drvlpx",
    "deptId":9170,
    "deptName":"yo2kqh",
    "deptCode":"46bmqb",
    "officeId":7136,
    "officeName":"qbtdim",
    "dutyer":"fyruzo",
    "telephone":"ddfjfj",
    "govUrl":"3h7560",
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;siteMatterId|Long|站点事项id
&emsp;&emsp;matterId|Long|事项ID
&emsp;&emsp;matterName|String|事项名称
&emsp;&emsp;matterCode|String|事项编码
&emsp;&emsp;deptId|Long|部门ID
&emsp;&emsp;deptName|String|部门名称
&emsp;&emsp;deptCode|String|部门编码
&emsp;&emsp;officeId|Long|股室ID
&emsp;&emsp;officeName|String|股室名称
&emsp;&emsp;dutyer|String|负责人姓名
&emsp;&emsp;telephone|String|联系电话
&emsp;&emsp;govUrl|String|政务网地址
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除辅助接件事项

**请求URL:** site/matter/assist/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除辅助接件事项

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/site/matter/assist/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 单事项

### 查询单事项列表

**请求URL:** single/matter/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询单事项

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录
siteName|String|否|站点名称,字段前后添加%%模糊查询
source|Integer|否|事项来源

**请求样例:**
```
  {
        "siteName":"nt4yli",
        "source":2089,
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;siteId|Long|站点id
&emsp;&emsp;siteName|String|站点名称
&emsp;&emsp;siteMatterId|Long|站点事项id
&emsp;&emsp;matterId|Long|基础事项ID
&emsp;&emsp;matterName|String|事项名称
&emsp;&emsp;matterCode|String|事项编码
&emsp;&emsp;deptId|Long|部门ID
&emsp;&emsp;deptName|String|部门名称
&emsp;&emsp;deptCode|String|部门编码
&emsp;&emsp;source|Integer|事项来源
&emsp;&emsp;eventTypeShow|String|事项类型
&emsp;&emsp;viewsCount|Long|浏览次数
&emsp;&emsp;isConvert|Integer|是否生成本地附件
&emsp;&emsp;url|String|事项详情链接
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看单事项

**请求URL:** single/matter/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看单事项，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/single/matter/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;siteId|Long|站点id
&emsp;siteName|String|站点名称
&emsp;siteMatterId|Long|站点事项id
&emsp;matterId|Long|基础事项ID
&emsp;matterName|String|事项名称
&emsp;matterCode|String|事项编码
&emsp;deptId|Long|部门ID
&emsp;deptName|String|部门名称
&emsp;deptCode|String|部门编码
&emsp;source|Integer|事项来源
&emsp;eventTypeShow|String|事项类型
&emsp;viewsCount|Long|浏览次数
&emsp;isConvert|Integer|是否生成本地附件
&emsp;url|String|事项详情链接
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":3527,
            "siteId":1888,
            "siteName":"lc97mv",
            "siteMatterId":6456,
            "matterId":8386,
            "matterName":"kiw933",
            "matterCode":"amk3l2",
            "deptId":8206,
            "deptName":"q8g8cz",
            "deptCode":"otk6h6",
            "source":9177,
            "eventTypeShow":"cpl3ug",
            "viewsCount":4968,
            "isConvert":9914,
            "url":"ch25eo",
            "createUserId":8541,
            "createTime":"2023-03-21",
            "updateUserId":1851,
            "updateTime":"2023-03-21"
        }
}
```

### 保存更新单事项

**请求URL:** single/matter/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新单事项：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
siteId|Long|否|站点id
siteName|String|否|站点名称
siteMatterId|Long|否|站点事项id
matterId|Long|否|基础事项ID
matterName|String|否|事项名称
matterCode|String|否|事项编码
deptId|Long|否|部门ID
deptName|String|否|部门名称
deptCode|String|否|部门编码
source|Integer|否|事项来源
eventTypeShow|String|否|事项类型
viewsCount|Long|否|浏览次数
isConvert|Integer|否|是否生成本地附件
url|String|否|事项详情链接

**请求样例:**
```
{
    "siteId":2409,
    "siteName":"yedoi3",
    "siteMatterId":8313,
    "matterId":6375,
    "matterName":"19grlv",
    "matterCode":"jvczkt",
    "deptId":1786,
    "deptName":"9dtd05",
    "deptCode":"t50slx",
    "source":4961,
    "eventTypeShow":"au7l7m",
    "viewsCount":2041,
    "isConvert":6624,
    "url":"yc4upe",
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;siteId|Long|站点id
&emsp;&emsp;siteName|String|站点名称
&emsp;&emsp;siteMatterId|Long|站点事项id
&emsp;&emsp;matterId|Long|基础事项ID
&emsp;&emsp;matterName|String|事项名称
&emsp;&emsp;matterCode|String|事项编码
&emsp;&emsp;deptId|Long|部门ID
&emsp;&emsp;deptName|String|部门名称
&emsp;&emsp;deptCode|String|部门编码
&emsp;&emsp;source|Integer|事项来源
&emsp;&emsp;eventTypeShow|String|事项类型
&emsp;&emsp;viewsCount|Long|浏览次数
&emsp;&emsp;isConvert|Integer|是否生成本地附件
&emsp;&emsp;url|String|事项详情链接
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除单事项

**请求URL:** single/matter/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除单事项

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/single/matter/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 事项负责人

### 查询事项负责人列表

**请求URL:** matter/dutyer/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询事项负责人

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录
fullName|String|否|工作人员姓名,字段前后添加%%模糊查询
sexual|Integer|否|性别1男2女
personType|Integer|否|人员类型：1窗口工作人员2事项负责人

**请求样例:**
```
  {
        "fullName":"fpp8qg",
        "sexual":5230,
        "personType":1866,
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;siteId|Long|站点id
&emsp;&emsp;fullName|String|工作人员姓名
&emsp;&emsp;phoneNumber|String|联系电话
&emsp;&emsp;loginName|String|登录用户名
&emsp;&emsp;loginPwd|String|登录密码
&emsp;&emsp;deptId|Long|所属部门
&emsp;&emsp;deptName|String|所属部门名称
&emsp;&emsp;officeId|Long|所属股室
&emsp;&emsp;officeName|String|所属股室名称
&emsp;&emsp;sexual|Integer|性别1男2女
&emsp;&emsp;email|String|邮箱
&emsp;&emsp;position|String|职位
&emsp;&emsp;personType|Integer|人员类型：1窗口工作人员2事项负责人
&emsp;&emsp;lastLoginTime|Date|最后一次登录时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看事项负责人

**请求URL:** matter/dutyer/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看事项负责人，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/matter/dutyer/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;siteId|Long|站点id
&emsp;fullName|String|工作人员姓名
&emsp;phoneNumber|String|联系电话
&emsp;loginName|String|登录用户名
&emsp;loginPwd|String|登录密码
&emsp;deptId|Long|所属部门
&emsp;deptName|String|所属部门名称
&emsp;officeId|Long|所属股室
&emsp;officeName|String|所属股室名称
&emsp;sexual|Integer|性别1男2女
&emsp;email|String|邮箱
&emsp;position|String|职位
&emsp;personType|Integer|人员类型：1窗口工作人员2事项负责人
&emsp;lastLoginTime|Date|最后一次登录时间
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":2016,
            "siteId":4419,
            "fullName":"r3hinl",
            "phoneNumber":"r2oaqe",
            "loginName":"09ezak",
            "loginPwd":"l2hbi9",
            "deptId":2420,
            "deptName":"92h1jd",
            "officeId":2328,
            "officeName":"bp7ioc",
            "sexual":8029,
            "email":"92lk6z",
            "position":"806066",
            "personType":1235,
            "lastLoginTime":"2023-03-21",
            "createUserId":905,
            "createTime":"2023-03-21",
            "updateUserId":7041,
            "updateTime":"2023-03-21"
        }
}
```

### 保存更新事项负责人

**请求URL:** matter/dutyer/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新事项负责人：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
siteId|Long|否|站点id
fullName|String|是|工作人员姓名
phoneNumber|String|是|联系电话
loginName|String|否|登录用户名
loginPwd|String|否|登录密码
deptId|Long|否|所属部门
deptName|String|否|所属部门名称
officeId|Long|否|所属股室
officeName|String|否|所属股室名称
sexual|Integer|否|性别1男2女
email|String|否|邮箱
position|String|否|职位
personType|Integer|否|人员类型：1窗口工作人员2事项负责人
lastLoginTime|Date|否|最后一次登录时间

**请求样例:**
```
{
    "siteId":2742,
    "fullName":"rthvuy",
    "phoneNumber":"67erip",
    "loginName":"sg4wq5",
    "loginPwd":"67xe9j",
    "deptId":414,
    "deptName":"07o1iw",
    "officeId":9109,
    "officeName":"4h5d2u",
    "sexual":6249,
    "email":"e0824r",
    "position":"p2hncp",
    "personType":207,
    "lastLoginTime":"2023-03-21",
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;siteId|Long|站点id
&emsp;&emsp;fullName|String|工作人员姓名
&emsp;&emsp;phoneNumber|String|联系电话
&emsp;&emsp;loginName|String|登录用户名
&emsp;&emsp;loginPwd|String|登录密码
&emsp;&emsp;deptId|Long|所属部门
&emsp;&emsp;deptName|String|所属部门名称
&emsp;&emsp;officeId|Long|所属股室
&emsp;&emsp;officeName|String|所属股室名称
&emsp;&emsp;sexual|Integer|性别1男2女
&emsp;&emsp;email|String|邮箱
&emsp;&emsp;position|String|职位
&emsp;&emsp;personType|Integer|人员类型：1窗口工作人员2事项负责人
&emsp;&emsp;lastLoginTime|Date|最后一次登录时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除事项负责人

**请求URL:** matter/dutyer/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除事项负责人

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/matter/dutyer/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}


## 字典附录
