package com.mortals.xhx.daemon.task;

import com.mortals.framework.exception.AppException;
import com.mortals.framework.service.ITask;
import com.mortals.framework.service.ITaskExcuteService;
import com.mortals.xhx.module.dept.model.DeptEntity;
import com.mortals.xhx.module.dept.model.DeptQuery;
import com.mortals.xhx.module.dept.service.DeptService;
import com.mortals.xhx.module.matter.model.MatterEntity;
import com.mortals.xhx.module.matter.model.MatterQuery;
import com.mortals.xhx.module.matter.service.MatterService;
import com.mortals.xhx.module.matters.service.MattersService;
import com.mortals.xhx.module.site.model.SiteMatterQuery;
import com.mortals.xhx.module.site.service.SiteMatterService;
import com.mortals.xhx.module.site.service.SiteService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

/**
 * 统计站点部门事项
 */
@Slf4j
@Service("StatSiteDeptMatterTask")
public class StatSiteDeptMatterTaskImpl implements ITaskExcuteService {
    @Autowired
    private DeptService deptService;
    @Autowired
    private MatterService matterService;


    @Override
    public void excuteTask(ITask task) throws AppException {
        log.info("开始同步事项列表！");
        List<DeptEntity> deptEntities = deptService.find(new DeptQuery());
        for (DeptEntity deptEntity : deptEntities) {
            int total = matterService.count(new MatterQuery().deptCode(deptEntity.getDeptNumber()), null);
            if (total > 0) {
                DeptEntity deptQuery = new DeptEntity();
                deptQuery.setTotal(total);
                deptQuery.setUpdateTime(new Date());
                DeptEntity condition = new DeptEntity();
                condition.setId(deptEntity.getId());
                deptService.getDao().update(deptQuery, condition);

                // deptService.update(deptEntity, null);
            }

        }

    }

    @Override
    public void stopTask(ITask task) throws AppException {

    }
}
